#!/bin/sh
#
# source: http://ftp.gnome.org/pub/gnome/sources/libgnomeui/2.24/libgnomeui-2.24.5.tar.bz2
#
# maintainer: (package seek a maintainer)
#

CWD=`pwd`
TMP=/tmp
PKG=$TMP/package-libgnomeui

VERSION=2.24.5
ARCH=i486
BUILD=70.1

SLKCFLAGS="-O2 -march=i486 -mtune=i686"

rm -rf $PKG
mkdir -p $PKG
cd $TMP
rm -rf libgnomeui-$VERSION
tar xjvf $CWD/libgnomeui-$VERSION.tar.bz2
cd libgnomeui-$VERSION
chown -R root:root .
find . \
 \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
 -exec chmod 755 {} \; -o \
 \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
 -exec chmod 644 {} \;
CFLAGS="$SLKCFLAGS" \
./configure \
  --prefix=/usr \
  --enable-static=no \
  --mandir=/usr/man \
  --enable-gtk-doc=no \
  --with-html-dir=/usr/doc/libgnomeui-$VERSION

make -j4
make install DESTDIR=$PKG

find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
  | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null

cp -a \
  AUTHORS ChangeLog COPYING.LIB INSTALL MAINTAINERS NEWS README \
  $PKG/usr/doc/libgnomeui-$VERSION

mkdir -p $PKG/install
cat <<"EOF" > $PKG/install/slack-desc
# HOW TO EDIT THIS FILE:
# The "handy ruler" below makes it easier to edit a package description.  Line
# up the first '|' above the ':' following the base package name, and the '|'
# on the right side marks the last column you can put a character in.  You must
# make exactly 11 lines for the formatting to be correct.  It's also
# customary to leave one space after the ':'.

          |-----handy-ruler---------------------------------------------------|
libgnomeui: libgnomeui - gnome user interface library
libgnomeui:
libgnomeui: This is the gui parts of what was previously gnome-libs
libgnomeui:
libgnomeui:
libgnomeui:
libgnomeui:
libgnomeui:
libgnomeui:
libgnomeui:
libgnomeui:
EOF

mkdir -p $PKG/usr/src/libgnomeui-$VERSION
cp $CWD/build-libgnomeui.sh $PKG/usr/src/libgnomeui-$VERSION/

cd $PKG
makepkg -l y -c n ../libgnomeui-$VERSION-$ARCH-$BUILD.txz
cd ..
md5sum libgnomeui-$VERSION-$ARCH-$BUILD.txz > libgnomeui-$VERSION-$ARCH-$BUILD.md5